Subject: P1022 audio driver help!

From: eshe168 <[email-masked]>
Date: Fri, 30 May 2014 14:03:53 +0800

@timur

hi,

Audio card (wm8776) cannot work in full duplex, CPU is FSL P1022.
The PCB design about audio card reference FSL P1022 development board, and palying or recording is OK separately.

My question is whether P1022 audio driver cannot support full duplex?

The following is my test method.
test script:
#!/bin/sh
echo "start plarying"  
aplay /nor-disk/audiosrv/Success.wav & 
sleep 1
echo "start recording" 
arecord -d 5 -t wav -D "plug:SLAVE='hw:0,1'" -r 19886 test.wav

when start "record", "aplay" just suspend, and I cannot listen voice. when record is over, I found aplay still suspend.
according to "ps -aux":
root 1499 0.2 0.1 4012 1500 pts/0 S 08:25 0:00 aplay /nor-disk/audiosrv/Success.wav

But, I run this script in a PC linux, I can listen the voice, the audio card can record my voice simultaneous.

Looking forward your response!

Thanks! 

B.R.
YXS